Ubuntu

update-apt-xapian-index crashed with DatabaseLockError in __init__()

Reported by Nicolas DERIVE on 2010-06-07
This bug affects 595 people
Affects Status Importance Assigned to Milestone
apt-xapian-index (Ubuntu)
High
Michael Vogt
Natty
High
Michael Vogt

Bug Description

Binary package hint: apt-xapian-index

Refreshing update list, I got this error.

ProblemType: Crash
DistroRelease: Ubuntu 10.10
Package: apt-xapian-index 0.37
ProcVersionSignature: Ubuntu 2.6.34-5.14-generic 2.6.34
Uname: Linux 2.6.34-5-generic i686
Architecture: i386
Date: Mon Jun 7 23:32:16 2010
ExecutablePath: /usr/sbin/update-apt-xapian-index
InterpreterPath: /usr/bin/python2.6
PackageArchitecture: all
ProcCmdline: /usr/bin/python /usr/sbin/update-apt-xapian-index --update -q
ProcEnviron:
 PATH=(custom, no user)
 LANG=fr_FR.UTF-8
 LANGUAGE=fr_FR:fr:en_GB:en
 SHELL=/bin/bash
PythonArgs: ['/usr/sbin/update-apt-xapian-index', '--update', '-q']
SourcePackage: apt-xapian-index
Title: update-apt-xapian-index crashed with DatabaseLockError in __init__()
UserGroups:

Nicolas DERIVE (kalon33) wrote :
visibility: private → public
tags: removed: need-duplicate-check
timosha (timosha) wrote :

Ditto here. After refreshing update.

dino99 (9d9) wrote :

confirm this too with maverick updated (kernel 35.6-generic-pae)

it happen when closing update-manager after applying updates

userdce (userdce) wrote :

me too

Sziráki Tamás (sziraki.tamas) wrote :

after startup during auto refresh the same problem.

cariboo907 (cariboo907) wrote :

I marked all the updates for installation, and them marked wvdial and gnome-ppp for complete removal before clicking the apply button, and then saw the crash report icon.

Joan C. Leach (jleach728) wrote :

I just used Synaptic instead.

drizzle (darran-kelinske) wrote :

yo if you guys need any logs or details from me shoot me an e-mail and i will look at getting them sent your way

ldglance (ilovechrist) wrote :

i also got this after a refreshing package list after a partial upgrade.

Erick Brunzell (lbsolost) wrote :

I encountered this error immediately after the first reboot after performing a distro upgrade to Maverick Alpha 3 as part of upgrade testing.

tags: added: iso-testing
C de-Avillez (hggdh2) wrote :

Marking as confirmed

Changed in apt-xapian-index (Ubuntu):
status: New → Confirmed

Confirm on amd64

James P. Carter (jpcarter) wrote :

Used synaptic to update packages... closed by hitting the "X" and then the exclamation popped up...

Wei-Yee Chan (chanweiyee) wrote :

2.6.35-15-generic #21-Ubuntu SMP Wed Aug 11 17:06:48 UTC 2010 x86_64 GNU/Linux
AMD Athlon(tm) 64 X2 Dual Core Processor 3600+

NGAGE13 (ngage13) wrote :

I run update manager and synaptic together and check updates in its.when i close synaptic-i see error messege.

i always got 404 error.arghh
Anything about beta will be not okay for first time. I hope it will be better soon.

dino99 (9d9) wrote :

have made some tweaks on maverick and got some good results:

have purged/reinstalled all the related installed xapian & python packages and this issue seem to be gone now: no more crash today instead of a bunch every time an app was closed before. Might be related to old wrong conf left behind as few fix have been made about udev rules and apt too.

I got this error after I:

1. Opened Software Center
2. Realized I actually wanted Synaptic, and opened that instead
3. Closed Software Center

I didn't observe any ill effects, but I thought I'd confirm anyway.

Gary M (garym) on 2010-09-14
tags: added: amd64
Lorenz (lorenzloidl) wrote :

I got this after doing a dpkg --configure -a via terminal and then trying to run Update Manager

  2010.09.15. 23:00 keltezéssel, Lorenz írta:
> I got this after doing a dpkg --configure -a via terminal and then
> trying to run Update Manager
>
thanks

I can confirm that I observed a similar behavior like Lorenz. In addition in both the times when this error occurred , samba and winbind were the packages where update manager seems to be stuck. There were also a message that /var/cache/debconf/config.dat was locked. I have to finally kill the process but I am now stuck with some broken packages.

Lorenz (lorenzloidl) wrote :

Thanks Saravanan - actually, I have to add now that I had to kill Update Manager as well - and it was stuck at Samba too. After rebooting I ran dpkg --configure -a as described above, then it crashed.

dino99 (9d9) wrote :

latest errors logged with maverick, while upgrading:

checking for valid crashreport now
polkit-gnome-authentication-agent-1
update-apt-xapian-index
    indexer.incrementalUpdate()
  File "/usr/lib/pymodules/python2.6/axi/indexer.py", line 635, in incrementalUpdate
    self.updateIndex(dbpath)
  File "/usr/lib/pymodules/python2.6/axi/indexer.py", line 594, in updateIndex
    db = xapian.WritableDatabase(pathname, xapian.DB_CREATE_OR_OPEN)
  File "/usr/lib/python2.6/dist-packages/xapian.py", line 3195, in __init__
    _xapian.WritableDatabase_swiginit(self,_xapian.new_WritableDatabase(*args))
xapian.DatabaseLockError: Unable to acquire database write lock on /var/lib/apt-xapian-index/index.2: already locked

dino99 (9d9) wrote :

Exception OSError: (2, 'Aucun fichier ou dossier de ce type', '/var/lib/apt-xapian-index/update-socket') in <bound method ServerProgress.__del__ of <axi.indexer.ServerProgress instance at 0xa05c76c>> ignored

Christian Berg (xeniac) wrote :

I also had the issue that dpkg stucks yesterday whith the message "reconfiguring Samba...". I solved this problem with the following command: "sudo restart smbd"
IMHO there is a problem in the samba package, and that will be an other bug than this crashing package index bug.

ec (ecroes) wrote :

Linux cd-a03-5 2.6.35-22-generic #33-Ubuntu SMP Sun Sep 19 20:32:27 UTC 2010 x86_64 GNU/Linux
Ubuntu maverick (development branch) \n \l

apt-xapian-index:
  Geïnstalleerd: 0.39
  Kandidaat: 0.39
  Versietabel:
 *** 0.39 0
        500 http://nl.archive.ubuntu.com/ubuntu/ maverick/main amd64 Packages
        100 /var/lib/dpkg/status

Crashed immediately after updating system

Happened again today. Crashed immediately after updating system

Paul White (paulw2u) wrote :

On a fully updated system I opened up Synaptic and started typing into the quick search box. Immediately the crash icon appeared in Gnome's top panel.

Monode (cristiangdiaz) wrote :

This happened today when I was trying to install partimage, partimage-server, partimage-doc, and some other packages that it depended on. I have attached logs of the errors.

Monode (cristiangdiaz) wrote :

And then I also got this error.

Monode (cristiangdiaz) wrote :

I ran Synaptic Package Manager and marked python-virtkey for upgrade and onboard for reinstallation. I then uninstalled partimage, partimage-doc, partimage-server, libdb4.7, and db4.7-util. Next I installed partimage, partimage-doc, partimage-server (and the packages it depends on: libdb4.7 and db4.7-util) and was unable to reproduce this error.

Perhaps all I needed to do to avoid this error in the first place is to upgrade python-virtkey?

Changed in apt-xapian-index (Ubuntu):
assignee: nobody → Wuilmer Bolívar (elwuilmer)
Gary M (garym) wrote :

@Monode, your problems with python-virtkey and onboard are from bug #648695 (which was fixed through a second update).

Changed in apt-xapian-index (Ubuntu):
assignee: Wuilmer Bolívar (elwuilmer) → nobody
Christopher (soft-kristal) wrote :

It happened to me when reloading Synaptics. Perhaps an automated process was trying to check updated at the same time, as when I did it again, there was no error.

Jochen Schneider (panama-joe) wrote :

Same here after closing Ubuntu Software Center on Maverick i386 GA Release.

I am quite disappointed that this bug made it through all Alpha, Beta and RC Releases of Maverick in more than four months without getting fixed.
Almost one hundred subscribers and dozens of duplicates of this bug don't seem to be enough...

XabiX (xdealmeida) wrote :

Same here when booting Maverick.

Changed in apt-xapian-index (Ubuntu):
importance: Undecided → High
assignee: nobody → Canonical Foundations Team (canonical-foundations)
Gary M (garym) wrote :

And occurs in apt-xapian-index 0.41ubuntu2 on 11.04 (natty) desktop alpha-1-install with current updates.

tags: added: natty

@Jochen Schneider
I've only recently been getting this bug, and I've been running Maverick for quite some time on multiple computers. I doubt this bug was present in any of those pre-releases of Maverick; it was probably introduced by an update that was rolled out recently.

Martin Schaaf (mascha) wrote :

Patch that handles the database lock error in case another process already locks the database.

Gary M (garym) on 2011-01-24
tags: added: patch
Colin Watson (cjwatson) on 2011-01-28
Changed in apt-xapian-index (Ubuntu Natty):
assignee: Canonical Foundations Team (canonical-foundations) → Michael Vogt (mvo)
Michael Vogt (mvo) on 2011-01-28
Changed in apt-xapian-index (Ubuntu Natty):
status: Confirmed → In Progress
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package apt-xapian-index - 0.41ubuntu5

---------------
apt-xapian-index (0.41ubuntu5) natty; urgency=low

  * update-apt-xapian-index:
    - do not crash if the DB is already logged, thanks to Martin Schaaf
      (LP: #590998)
 -- Michael Vogt <email address hidden> Fri, 28 Jan 2011 14:29:21 +0100

Changed in apt-xapian-index (Ubuntu Natty):
status: In Progress → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers